Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

hỏi về cách nối liền các đưòng nét trong CAD 2007


  • Please log in to reply
3 replies to this topic

#1 pqt_114

pqt_114

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 August 2010 - 08:54 AM

các anh ơi cho em hỏi tí: vốn là em vẽ mặt cắt rồi nhưng các nét nó rời rạc wa...có cách nào để nối liền các nét thành 1 khối không ạ...để khi chọn ta chỉ việc click 1 điểm trên hình là chọn đựoc cả hình.
em cảm ơn trứơc
  • 0

#2 NDBNGO

NDBNGO

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 27 August 2010 - 09:06 AM

Trong cadviet đã có rồi.Em phải tự kiếm nhé

defun c:nn (/ tdt ssdt sodt index)
(defun ObjName (ssdt /)
(cdr (assoc '0 (entget ssdt)))
)
(defun MoPL (ssdt /)
(= (cdr (assoc '70 (entget ssdt))) 0)
)
(defun NoiPL (ssdt /)
(if (MoPL ssdt)
(command ".PEDIT" ssdt "J" "All" "" "X")
)
)
(defun NoiLC (ssdt /)
(command ".PEDIT" ssdt "Y" "J" "All" "" "X")
)
(setq
tdt (ssget)
sodt (sslength tdt)
index 0
)
(repeat sodt
(setq
ssdt (ssname tdt index)
index (1+ index)
)
(if (or (= (Objname ssdt) "LWPOLYLINE")
(= (Objname ssdt) "POLYLINE")
)
(NoiPL ssdt)
)
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))
(NoiLC ssdt)
)
)
(princ)
)

Khi dùng lệnh nn, chỉ cần pick 1 trong các line, arc, pline nào đó là nó tự tìm các đoạn liên kết được để nối.
  • 1

#3 pqt_114

pqt_114

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 August 2010 - 09:20 AM

Trong cadviet đã có rồi.Em phải tự kiếm nhé

defun c:nn (/ tdt ssdt sodt index)
(defun ObjName (ssdt /)
(cdr (assoc '0 (entget ssdt)))
)
(defun MoPL (ssdt /)
(= (cdr (assoc '70 (entget ssdt))) 0)
)
(defun NoiPL (ssdt /)
(if (MoPL ssdt)
(command ".PEDIT" ssdt "J" "All" "" "X")
)
)
(defun NoiLC (ssdt /)
(command ".PEDIT" ssdt "Y" "J" "All" "" "X")
)
(setq
tdt (ssget)
sodt (sslength tdt)
index 0
)
(repeat sodt
(setq
ssdt (ssname tdt index)
index (1+ index)
)
(if (or (= (Objname ssdt) "LWPOLYLINE")
(= (Objname ssdt) "POLYLINE")
)
(NoiPL ssdt)
)
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))
(NoiLC ssdt)
)
)
(princ)
)

Khi dùng lệnh nn, chỉ cần pick 1 trong các line, arc, pline nào đó là nó tự tìm các đoạn liên kết được để nối.


uhm mình cũng biết là trong CAD có nhưng khổ nổi không biết nó nằm ở đâu..hĩ.hĩ...chỉ với...mới học mà
  • 0

#4 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2325 Bài viết
Điểm đánh giá: 749 (tốt)

Đã gửi 27 August 2010 - 02:36 PM

các anh ơi cho em hỏi tí: vốn là em vẽ mặt cắt rồi nhưng các nét nó rời rạc wa...có cách nào để nối liền các nét thành 1 khối không ạ...để khi chọn ta chỉ việc click 1 điểm trên hình là chọn đựoc cả hình.
em cảm ơn trứơc

Chắc anh vẽ mặt cắt thủ công nên các nét vẽ cứ rời rạc. muốn nối liền các nét thành khối có hai cách:
-Đặc bock
-Xoá hết các nét rời rạc rồi gõ H (H là lệnh tắt của lệnh Hatch là lệnh vẽ mặt vẽ mặt cắt bằng lệnh H các nét sẽ thành 1 khối

uhm mình cũng biết là trong CAD có nhưng khổ nổi không biết nó nằm ở đâu..hĩ.hĩ...chỉ với...mới học mà

Anh vào chức năng tìm kiếm trên diễn đàn:
Đây là Lisp nối Line thành Pline ?, nối Line và Arc chạm đầu thành 1 pline không phải là nối các nét rời rạc thành 1 khối như câu hỏi của pqt_114

Tạo 1 file noi.lsp chẳng hạn rồi copy đoạn dưới đây vào. Sau đó save lại và appload lên. Sử dụng lệnh nn là ok:

(defun c:nn (/ tdt ssdt sodt index)
(defun ObjName (ssdt /)
(cdr (assoc '0 (entget ssdt)))
)
(defun MoPL (ssdt /)
(= (cdr (assoc '70 (entget ssdt))) 0)
)
(defun NoiPL (ssdt /)
(if (MoPL ssdt)
(command ".PEDIT" ssdt "J" "All" "" "X")
)
)
(defun NoiLC (ssdt /)
(command ".PEDIT" ssdt "Y" "J" "All" "" "X")
)
(setq
tdt (ssget)
sodt (sslength tdt)
index 0
)
(repeat sodt
(setq
ssdt (ssname tdt index)
index (1+ index)
)
(if (or (= (Objname ssdt) "LWPOLYLINE")
(= (Objname ssdt) "POLYLINE")
)
(NoiPL ssdt)
)
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))
(NoiLC ssdt)
)
)
(princ)
)

Khi dùng lệnh nn, chỉ cần pick 1 trong các line, arc, pline nào đó là nó tự tìm các đoạn liên kết được để nối.


  • 1

Hạt giống tâm hồn : http://htlove.org/